<!DOCTYPE html>
<html>
<head>
	<title><?php echo $layout['title'] ?></title>
	<meta charset="<?php echo CHARSET ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="robots" content="noindex,nofollow">

	<!-- Favicon -->
	<link rel="shortcut icon" type="image/x-icon" href="<?php echo HTML_PATH_ADMIN_THEME.'img/favicon.png?version='.BLUDIT_VERSION ?>">

	<!-- CSS -->
	<?php
		echo Bootstrap::css(array(
			'bootstrap.min.css',
			'jquery-auto-complete.css',
			'open-iconic-master/font/css/open-iconic-bootstrap.min.css',
			'bludit.css'
		));
	?>

	<!-- Javascript -->
	<?php
		echo Bootstrap::js(array(
			'jquery.min.js',
			'jquery-auto-complete.min.js',
			'bootstrap-bundle.min.js'
		));
	?>

	<!-- Javascript -->
	<?php
		echo '<script>';
		include(PATH_CORE_JS.'bludit-ajax.php');
		echo '</script>';
	?>

	<!-- Plugins -->
	<?php Theme::plugins('adminHead') ?>
</head>
<body>

<!-- Plugins -->
<?php Theme::plugins('adminBodyBegin') ?>

<!-- Javascript variables generated by PHP -->
<?php include(PATH_CORE_JS.'variables.php') ?>

<!-- Alert -->
<?php include('html/alert.php'); ?>

<!-- TOPBAR -->
<?php include('html/topbar.php'); ?>

<div class="container">
	<!-- 25%/75% split on large devices, small, medium devices hide -->
	<div class="row">

		<!-- LEFT SIDEBAR - Display only on large devices -->
		<div class="sidebar col-lg-2 d-none d-lg-block">
		<?php include('html/sidebar.php'); ?>
		</div>

		<!-- RIGHT MAIN -->
		<div class="col-lg-10 pt-4">
		<?php
			if (Sanitize::pathFile(PATH_ADMIN_VIEWS, $layout['view'].'.php')) {
				include(PATH_ADMIN_VIEWS.$layout['view'].'.php');
			} else {
				echo '<h1 class="text-center">'.$L->g('Page not found').'</h1>';
				echo '<h2 class="text-center">'.$L->g('Choose a page from the sidebar.').'</h2>';
			}
		?>
		</div>
	</div>
</div>

<!-- Plugins -->
<?php Theme::plugins('adminBodyEnd') ?>

</body>
</html>